/repairshopr-tickets | Type: Application | PCID required: Yes
Tools
repairshopr_tickets_create_canned_responses
Creates a new Canned Response Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string | Yes | — | The body value |
canned_response_category_id | integer | No | — | Canned Response Category Id |
subject | string | No | — | The subject value |
title | string | Yes | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "string",
"description": "The body value"
},
"canned_response_category_id": {
"type": "integer",
"description": "Canned Response Category Id"
},
"subject": {
"type": "string",
"description": "The subject value"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID",
"body",
"title"
]
}
repairshopr_tickets_create_new_ticket_forms_by_id_process_form
Creates a new Ticket for a Ticket Form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
appointments | object | No | — | The appointments value |
customer_details | object | No | — | Customer Details |
ticket_details | object | No | — | Ticket Details |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"appointments": {
"type": "object",
"description": "The appointments value",
"properties": {
"properties": {
"type": "object",
"description": "The properties value"
},
"summary": {
"type": "string",
"description": "The summary value"
},
"description": {
"type": "string",
"description": "The description value"
},
"location": {
"type": "string",
"description": "The location value"
},
"user_id": {
"type": "integer",
"description": "User Id"
},
"start_at": {
"type": "string",
"description": "Start At"
},
"end_at": {
"type": "string",
"description": "End At"
}
}
},
"customer_details": {
"type": "object",
"description": "Customer Details",
"properties": {
"firstname": {
"type": "string",
"description": "The firstname value"
},
"properties": {
"type": "object",
"description": "The properties value"
},
"lastname": {
"type": "string",
"description": "The lastname value"
},
"business_name": {
"type": "string",
"description": "Business Name"
},
"email": {
"type": "string",
"description": "The email value"
},
"phone": {
"type": "string",
"description": "The phone value"
},
"mobile": {
"type": "string",
"description": "The mobile value"
},
"address": {
"type": "string",
"description": "The address value"
},
"city": {
"type": "string",
"description": "The city value"
},
"state": {
"type": "string",
"description": "The state value"
},
"zip": {
"type": "string",
"description": "The zip value"
},
"get_sms": {
"type": "boolean",
"description": "Get Sms"
},
"opt_out": {
"type": "boolean",
"description": "Opt Out"
},
"no_email": {
"type": "boolean",
"description": "No Email"
}
}
},
"ticket_details": {
"type": "object",
"description": "Ticket Details",
"properties": {
"properties": {
"type": "object",
"description": "The properties value"
},
"subject": {
"type": "string",
"description": "The subject value"
},
"problem_type": {
"type": "string",
"description": "Problem Type"
},
"description": {
"type": "string",
"description": "The description value"
},
"do_not_email": {
"type": "boolean",
"description": "Do Not Email"
}
}
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_create_tickets
Creates a Ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
asset_ids | integer[] | No | — | Asset Ids |
comments_attributes | object[] | No | — | Comments Attributes |
contact_id | integer | No | — | Contact Id |
customer_id | integer | No | — | Customer Id |
due_date | string | No | — | Due Date |
end_at | string | No | — | End At |
location_id | integer | No | — | Location Id |
number | string | No | — | The number value |
outtake_form_data | string | No | — | Outtake Form Data |
outtake_form_date | string | No | — | Outtake Form Date |
outtake_form_name | string | No | — | Outtake Form Name |
priority | string | No | — | The priority value |
problem_type | string | No | — | Problem Type |
properties | object | No | — | The properties value |
signature_data | string | No | — | Signature Data |
signature_name | string | No | — | Signature Name |
sla_id | integer | No | — | Sla Id |
start_at | string | No | — | Start At |
status | string | No | — | The status value |
subject | string | No | — | The subject value |
tag_list | string[] | No | — | Tag List |
ticket_type_id | integer | No | — | Ticket Type Id |
user_id | integer | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"asset_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Asset Ids"
},
"comments_attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"subject": {
"type": "string",
"description": "The subject value"
},
"body": {
"type": "string",
"description": "The body value"
},
"hidden": {
"type": "boolean",
"description": "The hidden value"
},
"sms_body": {
"type": "string",
"description": "Sms Body"
},
"do_not_email": {
"type": "boolean",
"description": "Do Not Email"
},
"tech": {
"type": "string",
"description": "The tech value"
}
}
},
"description": "Comments Attributes"
},
"contact_id": {
"type": "integer",
"description": "Contact Id"
},
"customer_id": {
"type": "integer",
"description": "Customer Id"
},
"due_date": {
"type": "string",
"description": "Due Date"
},
"end_at": {
"type": "string",
"description": "End At"
},
"location_id": {
"type": "integer",
"description": "Location Id"
},
"number": {
"type": "string",
"description": "The number value"
},
"outtake_form_data": {
"type": "string",
"description": "Outtake Form Data"
},
"outtake_form_date": {
"type": "string",
"description": "Outtake Form Date"
},
"outtake_form_name": {
"type": "string",
"description": "Outtake Form Name"
},
"priority": {
"type": "string",
"description": "The priority value"
},
"problem_type": {
"type": "string",
"description": "Problem Type"
},
"properties": {
"type": "object",
"description": "The properties value"
},
"signature_data": {
"type": "string",
"description": "Signature Data"
},
"signature_name": {
"type": "string",
"description": "Signature Name"
},
"sla_id": {
"type": "integer",
"description": "Sla Id"
},
"start_at": {
"type": "string",
"description": "Start At"
},
"status": {
"type": "string",
"description": "The status value"
},
"subject": {
"type": "string",
"description": "The subject value"
},
"tag_list": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tag List"
},
"ticket_type_id": {
"type": "integer",
"description": "Ticket Type Id"
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_create_tickets_by_id_add_line_item
Creates a Ticket Line Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
description | string | No | — | The description value |
name | string | No | — | The name value |
price_cost | number | No | — | Price Cost |
price_retail | number | No | — | Price Retail |
product_id | integer | No | — | Product Id |
quantity | number | No | — | The quantity value |
taxable | boolean | No | — | The taxable value |
upc_code | string | No | — | Upc Code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"description": {
"type": "string",
"description": "The description value"
},
"name": {
"type": "string",
"description": "The name value"
},
"price_cost": {
"type": "number",
"description": "Price Cost"
},
"price_retail": {
"type": "number",
"description": "Price Retail"
},
"product_id": {
"type": "integer",
"description": "Product Id"
},
"quantity": {
"type": "number",
"description": "The quantity value"
},
"taxable": {
"type": "boolean",
"description": "The taxable value"
},
"upc_code": {
"type": "string",
"description": "Upc Code"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_create_tickets_by_id_attach_file_url
Attach a file to a Ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
files | object[] | No | — | The files value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"files": {
"type": "array",
"items": {
"type": "object",
"properties": {
"url": {
"type": "string",
"description": "The url value"
},
"filename": {
"type": "string",
"description": "The filename value"
}
}
},
"description": "The files value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_create_tickets_by_id_charge_timer_entry
Charges a Ticket Timer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
timer_entry_id | integer | Yes | — | Timer Entry Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"timer_entry_id": {
"type": "integer",
"description": "Timer Entry Id"
}
},
"required": [
"PCID",
"id",
"timer_entry_id"
]
}
repairshopr_tickets_create_tickets_by_id_comment
Adds a Comment to a Ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
body | string | No | — | The body value |
do_not_email | boolean | No | — | Do Not Email |
hidden | boolean | No | — | The hidden value |
sms_body | string | No | — | Sms Body |
subject | string | No | — | The subject value |
tech | string | No | — | The tech value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"body": {
"type": "string",
"description": "The body value"
},
"do_not_email": {
"type": "boolean",
"description": "Do Not Email"
},
"hidden": {
"type": "boolean",
"description": "The hidden value"
},
"sms_body": {
"type": "string",
"description": "Sms Body"
},
"subject": {
"type": "string",
"description": "The subject value"
},
"tech": {
"type": "string",
"description": "The tech value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_create_tickets_by_id_delete_attachment
Deletes a Ticket Attachment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
attachment_id | integer | Yes | — | Attachment Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"attachment_id": {
"type": "integer",
"description": "Attachment Id"
}
},
"required": [
"PCID",
"id",
"attachment_id"
]
}
repairshopr_tickets_create_tickets_by_id_delete_timer_entry
Deletes a Ticket Timer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
timer_entry_id | integer | Yes | — | Timer Entry Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"timer_entry_id": {
"type": "integer",
"description": "Timer Entry Id"
}
},
"required": [
"PCID",
"id",
"timer_entry_id"
]
}
repairshopr_tickets_create_tickets_by_id_print
Prints a Ticket by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_create_tickets_by_id_remove_line_item
Deletes a Ticket Line Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
ticket_line_item_id | integer | Yes | — | Ticket Line Item Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"ticket_line_item_id": {
"type": "integer",
"description": "Ticket Line Item Id"
}
},
"required": [
"PCID",
"id",
"ticket_line_item_id"
]
}
repairshopr_tickets_create_tickets_by_id_timer_entry
Create a Ticket Timer for a Ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
duration_minutes | integer | No | — | Duration Minutes |
end_at | string | No | — | End At |
notes | string | No | — | The notes value |
product_id | integer | No | — | Product Id |
start_at | string | No | — | Start At |
user_id | integer | No | — | Current user by default |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"duration_minutes": {
"type": "integer",
"description": "Duration Minutes"
},
"end_at": {
"type": "string",
"description": "End At"
},
"notes": {
"type": "string",
"description": "The notes value"
},
"product_id": {
"type": "integer",
"description": "Product Id"
},
"start_at": {
"type": "string",
"description": "Start At"
},
"user_id": {
"type": "integer",
"description": "Current user by default"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_delete_by_id
Deletes a Ticket by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_delete_canned_responses_by_id
Deletes a Canned Response Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_get_by_id
Retrieves a Ticket by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_get_by_id_comments
Returns Comments for a Ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
sort_by | string | No | — | Sort by field, created_at or updated_at |
sort_direction | string | No | — | Sort direction, ASC or DESC |
created_after | string | No | — | Filter comments created after this date |
created_before | string | No | — | Filter comments created before this date |
updated_after | string | No | — | Filter comments updated after this date |
updated_before | string | No | — | Filter comments updated before this date |
page | integer | No | — | Returns provided page of results, each page contains 10 comments by default, default can be changed by setting the ‘per_page’ parameter |
per_page | integer | No | — | Sets the number of comments per page, default is 10 |
comment_format | string | No | — | Returns comments in the specified format. Allowed values: ‘plaintext’, ‘richtext’, ‘original’. Defaults to ‘plaintext’. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"sort_by": {
"type": "string",
"description": "Sort by field, created_at or updated_at"
},
"sort_direction": {
"type": "string",
"description": "Sort direction, ASC or DESC"
},
"created_after": {
"type": "string",
"description": "Filter comments created after this date"
},
"created_before": {
"type": "string",
"description": "Filter comments created before this date"
},
"updated_after": {
"type": "string",
"description": "Filter comments updated after this date"
},
"updated_before": {
"type": "string",
"description": "Filter comments updated before this date"
},
"page": {
"type": "integer",
"description": "Returns provided page of results, each page contains 10 comments by default, default can be changed by setting the 'per_page' parameter"
},
"per_page": {
"type": "integer",
"description": "Sets the number of comments per page, default is 10"
},
"comment_format": {
"type": "string",
"description": "Returns comments in the specified format. Allowed values: 'plaintext', 'richtext', 'original'. Defaults to 'plaintext'."
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_get_new_ticket_forms_by_id
Retrieves a Ticket Form Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_list_canned_responses
Returns a list of Canned Responses with a query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | No | — | Search query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"type": "string",
"description": "Search query"
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_list_canned_responses_settings
Returns the settings for Canned ResponsesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_list_new_ticket_forms
Returns a paginated list of Ticket FormsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_list_ticket_timers
Returns a paginated list of Ticket Timers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
created_at_lt | string | No | — | Returns Ticket Timers created before the date. Example “2019-01-22” |
created_at_gt | string | No | — | Returns Ticket Timers created after the date. Example “2019-12-22” |
page | integer | No | — | Returns provided page of results, each ‘page’ contains 25 results |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"created_at_lt": {
"type": "string",
"description": "Returns Ticket Timers created before the date. Example \"2019-01-22\""
},
"created_at_gt": {
"type": "string",
"description": "Returns Ticket Timers created after the date. Example \"2019-12-22\""
},
"page": {
"type": "integer",
"description": "Returns provided page of results, each 'page' contains 25 results"
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_list_tickets
Returns a paginated list of Tickets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | integer | No | — | Any Ticket with customer_id equal to the parameter. |
contact_id | integer | No | — | Any Ticket with contact_id equal to the parameter. |
number | string | No | — | Any Ticket with number equal to the parameter. |
resolved_after | string | No | — | Returns Tickets resolved after the date. Example “2019-01-23”. |
created_after | string | No | — | Returns Tickets created after the date. Example “2019-02-25”. |
since_updated_at | string | No | — | Returns Tickets updated after the date. Example “2019-02-25”. |
status | string | No | — | Any Ticket with status equal to the parameter. Examples “New”, “In Progress”, “Resolved”, “Invoiced”, “Waiting for Parts”, “Waiting on Customer”, “Scheduled”, “Customer Reply”, “Not Closed”. |
query | string | No | — | Search query |
user_id | integer | No | — | Any Ticket assigned to a User ID |
mine | boolean | No | — | Any Ticket assigned to the current user |
ticket_search_id | integer | No | — | Returns results of a Ticket Search |
page | integer | No | — | Returns provided page of results, each ‘page’ contains 25 results |
comment_format | string | No | — | Returns comments in the specified format. Allowed values: ‘plaintext’, ‘richtext’, ‘original’. Defaults to ‘plaintext’. |
all_comments | boolean | No | — | (DEPRICATED PARAM) When set to true includes all ticket comments in the response. When set to false, only the initial comment is returned. Defaults to true, but WILL DEFAULT TO FALSE as of March 11, 2026. Param will be sunset in 2026. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "integer",
"description": "Any Ticket with customer_id equal to the parameter."
},
"contact_id": {
"type": "integer",
"description": "Any Ticket with contact_id equal to the parameter."
},
"number": {
"type": "string",
"description": "Any Ticket with number equal to the parameter."
},
"resolved_after": {
"type": "string",
"description": "Returns Tickets resolved after the date. Example \"2019-01-23\"."
},
"created_after": {
"type": "string",
"description": "Returns Tickets created after the date. Example \"2019-02-25\"."
},
"since_updated_at": {
"type": "string",
"description": "Returns Tickets updated after the date. Example \"2019-02-25\"."
},
"status": {
"type": "string",
"description": "Any Ticket with status equal to the parameter. Examples \"New\", \"In Progress\", \"Resolved\", \"Invoiced\", \"Waiting for Parts\", \"Waiting on Customer\", \"Scheduled\", \"Customer Reply\", \"Not Closed\"."
},
"query": {
"type": "string",
"description": "Search query"
},
"user_id": {
"type": "integer",
"description": "Any Ticket assigned to a User ID"
},
"mine": {
"type": "boolean",
"description": "Any Ticket assigned to the current user"
},
"ticket_search_id": {
"type": "integer",
"description": "Returns results of a Ticket Search"
},
"page": {
"type": "integer",
"description": "Returns provided page of results, each 'page' contains 25 results"
},
"comment_format": {
"type": "string",
"description": "Returns comments in the specified format. Allowed values: 'plaintext', 'richtext', 'original'. Defaults to 'plaintext'."
},
"all_comments": {
"type": "boolean",
"description": "(DEPRICATED PARAM) When set to true includes all ticket comments in the response. When set to false, only the initial comment is returned. Defaults to true, but WILL DEFAULT TO FALSE as of March 11, 2026. Param will be sunset in 2026."
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_list_tickets_settings
Returns Tickets SettingsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
repairshopr_tickets_update_canned_responses_by_id
Updates a Canned Response Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
body | string | No | — | The body value |
canned_response_category_id | integer | No | — | Canned Response Category Id |
subject | string | No | — | The subject value |
title | string | No | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"body": {
"type": "string",
"description": "The body value"
},
"canned_response_category_id": {
"type": "integer",
"description": "Canned Response Category Id"
},
"subject": {
"type": "string",
"description": "The subject value"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_update_ticket_timers_by_id
Update the billable property of a Ticket Timer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
billable | boolean | Yes | — | The billable value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"billable": {
"type": "boolean",
"description": "The billable value"
}
},
"required": [
"PCID",
"id",
"billable"
]
}
repairshopr_tickets_update_tickets_by_id
Updates an existing Ticket by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
asset_ids | integer[] | No | — | Asset Ids |
comments_attributes | object[] | No | — | Comments Attributes |
contact_id | integer | No | — | Contact Id |
customer_id | integer | No | — | Customer Id |
due_date | string | No | — | Due Date |
end_at | string | No | — | End At |
location_id | integer | No | — | Location Id |
number | string | No | — | The number value |
outtake_form_data | string | No | — | Outtake Form Data |
outtake_form_date | string | No | — | Outtake Form Date |
outtake_form_name | string | No | — | Outtake Form Name |
priority | string | No | — | The priority value |
problem_type | string | No | — | Problem Type |
properties | object | No | — | The properties value |
signature_data | string | No | — | Signature Data |
signature_name | string | No | — | Signature Name |
sla_id | integer | No | — | Sla Id |
start_at | string | No | — | Start At |
status | string | No | — | The status value |
subject | string | No | — | The subject value |
tag_list | string[] | No | — | Tag List |
ticket_type_id | integer | No | — | Ticket Type Id |
user_id | integer | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"asset_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Asset Ids"
},
"comments_attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"subject": {
"type": "string",
"description": "The subject value"
},
"body": {
"type": "string",
"description": "The body value"
},
"hidden": {
"type": "boolean",
"description": "The hidden value"
},
"sms_body": {
"type": "string",
"description": "Sms Body"
},
"do_not_email": {
"type": "boolean",
"description": "Do Not Email"
},
"tech": {
"type": "string",
"description": "The tech value"
}
}
},
"description": "Comments Attributes"
},
"contact_id": {
"type": "integer",
"description": "Contact Id"
},
"customer_id": {
"type": "integer",
"description": "Customer Id"
},
"due_date": {
"type": "string",
"description": "Due Date"
},
"end_at": {
"type": "string",
"description": "End At"
},
"location_id": {
"type": "integer",
"description": "Location Id"
},
"number": {
"type": "string",
"description": "The number value"
},
"outtake_form_data": {
"type": "string",
"description": "Outtake Form Data"
},
"outtake_form_date": {
"type": "string",
"description": "Outtake Form Date"
},
"outtake_form_name": {
"type": "string",
"description": "Outtake Form Name"
},
"priority": {
"type": "string",
"description": "The priority value"
},
"problem_type": {
"type": "string",
"description": "Problem Type"
},
"properties": {
"type": "object",
"description": "The properties value"
},
"signature_data": {
"type": "string",
"description": "Signature Data"
},
"signature_name": {
"type": "string",
"description": "Signature Name"
},
"sla_id": {
"type": "integer",
"description": "Sla Id"
},
"start_at": {
"type": "string",
"description": "Start At"
},
"status": {
"type": "string",
"description": "The status value"
},
"subject": {
"type": "string",
"description": "The subject value"
},
"tag_list": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tag List"
},
"ticket_type_id": {
"type": "integer",
"description": "Ticket Type Id"
},
"user_id": {
"type": "integer",
"description": "User Id"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_update_tickets_by_id_update_line_item
Updates an existing Ticket Line Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
description | string | No | — | The description value |
name | string | No | — | The name value |
price_cost | number | No | — | Price Cost |
price_retail | number | No | — | Price Retail |
product_id | integer | No | — | Product Id |
quantity | number | No | — | The quantity value |
taxable | boolean | No | — | The taxable value |
ticket_line_item_id | integer | No | — | Ticket Line Item Id |
upc_code | string | No | — | Upc Code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"description": {
"type": "string",
"description": "The description value"
},
"name": {
"type": "string",
"description": "The name value"
},
"price_cost": {
"type": "number",
"description": "Price Cost"
},
"price_retail": {
"type": "number",
"description": "Price Retail"
},
"product_id": {
"type": "integer",
"description": "Product Id"
},
"quantity": {
"type": "number",
"description": "The quantity value"
},
"taxable": {
"type": "boolean",
"description": "The taxable value"
},
"ticket_line_item_id": {
"type": "integer",
"description": "Ticket Line Item Id"
},
"upc_code": {
"type": "string",
"description": "Upc Code"
}
},
"required": [
"PCID",
"id"
]
}
repairshopr_tickets_update_tickets_by_id_update_timer_entry
Updates an existing Ticket Timer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The id value |
duration_minutes | integer | No | — | Duration Minutes |
notes | string | No | — | The notes value |
product_id | integer | No | — | Product Id |
start_at | string | No | — | Start At |
timer_entry_id | integer | No | — | Timer Entry Id |
user_id | integer | No | — | Current user by default |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The id value"
},
"duration_minutes": {
"type": "integer",
"description": "Duration Minutes"
},
"notes": {
"type": "string",
"description": "The notes value"
},
"product_id": {
"type": "integer",
"description": "Product Id"
},
"start_at": {
"type": "string",
"description": "Start At"
},
"timer_entry_id": {
"type": "integer",
"description": "Timer Entry Id"
},
"user_id": {
"type": "integer",
"description": "Current user by default"
}
},
"required": [
"PCID",
"id"
]
}

